<?php get_header(); ?>

<div id="lead" class="widecontent">
<?php while (have_posts () && giraffe_have_lead ()): the_post (); ?>
	<div class="post" id="post-<?php the_ID(); ?>">
		<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _ge('Read full post')?>"><?php the_title(); ?></a></h2>
		<p class="postmetadata"><small><?php printf (_g('Posted on %1$s in %2$s.'), giraffe_time (), get_the_category_list(', ')); ?> <?php comments_popup_link (_g('No comments'), _g('1 comment'), _g('% comments')); ?>.</small></p>

		<div class="entry">
			<?php the_content(_g('Read more').' &raquo;'); ?>
		</div>
	</div>
<?php endwhile; ?>
</div>

<div id="wrapper">
	<div id="main">
	  <?php if (giraffe_comments ()) : ?>
    <div id="recentcomments">
      <h2><?php _ge('Latest comments across all posts')?></h2>
      <ul><?php giraffe_latest_comments () ?></ul>
    </div>
    <?php endif; ?>

    <?php if (have_posts ()) { ?>
	  <h2 class="narrowheading narrowcorner"><?php _ge('Recent Posts')?></h2>
	    <div id="content" class="narrowcontents">

		<?php while (have_posts() && giraffe_have_recent ()) : the_post(); ?>
			<div class="post item" id="post-<?php the_ID(); ?>">
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _ge('Read full post')?>"><img align="middle" src="<?php giraffe_image ()?>/post.png"/> <?php the_title(); ?></a></h2>
				<p class="postmetadata"><small><?php printf (_g('Posted on %1$s in %2$s.'), giraffe_time (), get_the_category_list(', ')); ?> <?php comments_popup_link (_g('No comments'), _g('1 comment'), _g('% comments')); ?>.</small></p>

				<div class="entry">
					<?php the_content(_g('Read more').' &raquo;'); ?>
				</div>
        <div class="clear"></div>
			</div>
			<?php if (!giraffe_last_recent ()) { ?><div class="hr"><hr/></div><?php } ?>
    <?php endwhile; ?>

    <?php if (have_posts ()) : ?>
  		<h2 class="narrowheading noprint"><?php _ge('Older Posts')?></h2>
	  	<?php while (have_posts ()) : the_post () ?>
			<div class="item smallpost noprint" id="post-<?php the_ID(); ?>">
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _ge('Read full post')?>"><?php the_title(); ?></a></h2>
				<p class="postmetadata"><small><?php printf (_g('Posted on %1$s in %2$s.'), giraffe_time (), get_the_category_list(', ')); ?> <?php comments_popup_link (_g('No comments'), _g('1 comment'), _g('% comments')); ?>.</small></p>
			</div>
			<?php endwhile; ?>
	  <?php endif; ?>
    </div>

   <?php } else { ?>
   <h2 class="narrowheading narrowcorner">&nbsp;</h2>
   <?php } ?>
  </div>
  <?php get_sidebar(); ?>
  <div class="clear"></div>
</div>
<?php get_footer(); ?>
